curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"lifecycleStage": "active",
"autopilot": {},
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"type": "async-service",
"tenantName": "<string>",
"metadata": {
"paused": true
},
"workspaceId": "<string>",
"lastVersion": 123,
"activeVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"recommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"alerts": [
{
"name": "<string>",
"timestamps": [
"2023-11-07T05:31:56Z"
],
"startTime": "2023-11-07T05:31:56Z",
"clusterId": "<string>",
"fingerprint": "<string>",
"id": "<string>",
"resolvedTime": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"tenantName": "<string>",
"updatedAt": "<string>",
"createdAt": "<string>",
"applicationDebugInfoId": "<string>"
}
],
"alertsSummary": {},
"applicationDebugInfos": [
{
"applicationId": "<string>",
"debugInfo": {},
"id": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"potentialProblems": [
{
"name": "<string>",
"description": "<string>"
}
],
"workspaceFqn": "<string>",
"createdBy": "<string>",
"activeDeploymentId": "<string>",
"lastDeploymentId": "<string>"
}
}Get Application associated with the provided application ID.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/apps/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"lifecycleStage": "active",
"autopilot": {},
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"type": "async-service",
"tenantName": "<string>",
"metadata": {
"paused": true
},
"workspaceId": "<string>",
"lastVersion": 123,
"activeVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"recommendations": [
{
"recommendationData": {},
"recommendationType": "<string>",
"expiryTimestamp": "2023-11-07T05:31:56Z",
"id": "<string>",
"clusterId": "<string>",
"applicationId": "<string>",
"deploymentId": "<string>",
"applicationVersion": 123,
"appliedDeploymentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"alerts": [
{
"name": "<string>",
"timestamps": [
"2023-11-07T05:31:56Z"
],
"startTime": "2023-11-07T05:31:56Z",
"clusterId": "<string>",
"fingerprint": "<string>",
"id": "<string>",
"resolvedTime": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"tenantName": "<string>",
"updatedAt": "<string>",
"createdAt": "<string>",
"applicationDebugInfoId": "<string>"
}
],
"alertsSummary": {},
"applicationDebugInfos": [
{
"applicationId": "<string>",
"debugInfo": {},
"id": "<string>",
"application": "<unknown>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"potentialProblems": [
{
"name": "<string>",
"description": "<string>"
}
],
"workspaceFqn": "<string>",
"createdBy": "<string>",
"activeDeploymentId": "<string>",
"lastDeploymentId": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Id of the application
Application details retrieved successfully
Application
Show child attributes
Was this page helpful?